com.google.gwt.uibinder.attributeparsers

## Class IntPairAttributeParser

- java.lang.Object
- - com.google.gwt.uibinder.attributeparsers.IntPairAttributeParser

All Implemented Interfaces:
  AttributeParser

    class IntPairAttributeParser
    extends java.lang.Object
    implements AttributeParser

Parses a pair of integer values.

### Constructor Summary

Constructors
Constructor and Description
`IntPairAttributeParser(IntAttributeParser intParser, com.google.gwt.uibinder.rebind.MortalLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `parse(com.google.gwt.uibinder.rebind.XMLElement source, java.lang.String value)` Parse the given attribute value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntPairAttributeParser

    IntPairAttributeParser(IntAttributeParser intParser,
                           com.google.gwt.uibinder.rebind.MortalLogger logger)

### Method Detail

#### parse

    public java.lang.String parse(com.google.gwt.uibinder.rebind.XMLElement source,
                                  java.lang.String value)
                           throws UnableToCompleteException

Description copied from interface: `AttributeParser`
Parse the given attribute value.

Specified by:
  `parse` in interface `AttributeParser`
Parameters:
  `source` - the source code the value came from, for error reporting purposes
  `value` - the attribute value to be parsed
Returns:
  a valid Java expression
Throws:
  `UnableToCompleteException` - on parse error